PCAP_GET_TSTAMP_PRECISION(3PCAP)

NAME
pcap_get_tstamp_precision - get the time stamp precision returned in captures

SYNOPSIS
#include <pcap/pcap.h>

int pcap_get_tstamp_precision(pcap_t *p);

DESCRIPTION
pcap_get_tstamp_precision() returns the precision of the time stamp returned in packet captures on the pcap descriptor.

RETURN VALUE
pcap_get_tstamp_precision() returns PCAP_TSTAMP_PRECISION_MICRO or PCAP_TSTAMP_PRECISION_NANO, which indicates that pcap captures contains time stamps in microseconds or nanoseconds respectively.

SEE ALSO
pcap(3PCAP), pcap_set_tstamp_precision(3PCAP), pcap-tstamp(@MAN_MISC_INFO@)